Name:           nde-sudo
Version:        0.0.1
Release:        1%{?dist}
Summary:        GUI frontend for sudo/su
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.1.0
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(nde) >= 0.0.1
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  qt5-linguist
BuildRequires:  libstatgrab-devel

Requires:       sudo

%description
%{summary}.

%package l10n
Summary:        Translations for nde-sudo
Requires:       nde-sudo

%description l10n
This package provides translations for the nde-sudo package.

%prep
%autosetup -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#for desktop in %{buildroot}/%{_datadir}/nde/nde-panel/*.desktop; do
    # Exclude category as been Service 
#    desktop-file-edit --remove-category=Nde --remove-only-show-in=Nde --add-only-show-in=X-Nde ${desktop}
#done


%find_lang nde-sudo --with-qt

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_bindir}/nde*
%{_mandir}/man1/nde*.1*

%files l10n -f nde-sudo.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/%{name}

%changelog
* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

